Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-upload - Upload metrics to the Ubuntu Insights server

SYNOPSIS
ubuntu-insights upload sources ⟨optional arguments⟩ [flags]

DESCRIPTION
Upload metrics to the Ubuntu Insights server.

If no sources are provided, all detected sources at the configured reports directory will be uploaded. If consent is not given for a source, an opt-out notification will be sent regardless of the locally cached insights report's contents.

OPTIONS
-d, --dry-run[=false]
    go through the motions of doing an upload, but do not communicate with the server, send the payload, or modify local files

-f, --force[=false]
    force an upload, ignoring min age and clashes between the collected file and a file in the uploaded folder, replacing the clashing uploaded report if it exists (doesn't ignore consent)

-h, --help[=false]
    help for upload

--min-age=604800
    the minimum age (in seconds) of a report before the uploader will attempt to upload it

-r, --retry[=false]
    enable a limited number of retries for failed uploads

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

--quiet[=false]
    suppress all output except errors

--system-config-dir=""
    the directory of the system-wide configuration file

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights(1)

HISTORY
15-Jul-2026 Auto generated by spf13/cobra